# Get Started (Whatsapp OTP Integration)

Base URL {{base\_url}} - Your server Address<br>

* Where the application is hosted

#### Master Key {{master\_key}} - Your secret key <a href="#master-key-master_key-your-secret-key" id="master-key-master_key-your-secret-key"></a>

* Used to generate API Keys

***

**Step 1 - Generate API Key**

* Call to this enpoint is protected by an authorization header with the value of a master key
* API Key is equivalent to a WhatsApp Device
* **After generating an API please save it in a safe place as there is no list of API Keys generated**\
  **HTTP POST**

  ```
  http://{{base_url}}/api-keys/generate
  header: "Authorization": "{{master_key}}"
  body
  {
      	"whatsapp_device_no": "1"
  }
  ```

  **whatsapp\_device\_no** - this can be any number, it can represent user\_ids on your system. Each number is tied to an API Key<br>

  **Step 2 - Scan WhatsApp Device**

  * This requires an API Key and should be done from a browser
  * ***On successful connection, your API is ready to use***

  <http://{{base_url}}/connect-wa/scan-device?api_key=API-X-xxx>\
  \
  **Step 3 - Check if a number is on WhatsApp**

  * This requires an API Key in the query params

  **HTTP GET Request**

  ```
  http://{{
  base_url}}/connect-wa/scan-device?api_key=API-X-xxx
  ```

**Step 4 - Send WhatsApp Message** **HTTP POST Request**

* This requires an API Key in the body params

http\://{{base\_url}}/send-messages/send

```
{
	
	"api_key": "API-X-xxxx",
	"message": "Your OTP is *1234*",
	"to_phone": "111xxxxxxxx",
	"verify_check": true
	
}
```

**COMPLETE API DOC REFERENCE**

<https://documenter.getpostman.com/view/26348851/2sB3HqJe9C>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fuspay.us/watverify/get-started-whatsapp-otp-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
